Dreaming
Start a dream now
POST
Runs housekeeping (expired, stale, and duplicate facts; expired actions and KV) immediately. Then, in client mode, waits for you to fetch the job and submit your model's result; in server mode, runs the model here.
header
AuthorizationBearer <token>Your space key (om_...). Create one with POST /v1/spaces.
application/json- body
mode?DreamModeValue in
"client""server""off"The run
application/json- response
id*stringmode*stringstatus*stringrunning | awaiting_client | done | failed | undone | abandoned
report*started_at*stringfinished_at*string|nullcurl -X POST 'https://api.openmemory.sh/v1/dream' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "id": "string", "mode": "string", "status": "string", "report": { "property1": null, "property2": null }, "started_at": "string", "finished_at": "string"}